> For the complete documentation index, see [llms.txt](https://docs.movesdk.com/move-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.movesdk.com/move-platform/move-sdk-1.x/sdk/models/moveconfigurationerror.md).

# MoveConfigurationError

Represents the potential errors occurring when initializing the SDK or updating the [MoveAuth](/move-platform/move-sdk-1.x/sdk/models/moveauth.md).

{% tabs %}
{% tab title="Android" %}

```kotlin
enum MoveConfigurationError{   
    ServiceUnreachable
    AuthInvalid
    ConfigMismatch
}
```

{% endtab %}

{% tab title="iOS" %}

```swift
enum MoveConfigurationError{   
    case authInvalid
    case configMismatch
    case serviceUnreachable
}
```

{% endtab %}
{% endtabs %}

| MoveConfigurationError |                                                                                                    |
| ---------------------- | -------------------------------------------------------------------------------------------------- |
| authInvalid            | Indicates that the passed auth is not valid.                                                       |
| configMismatch         | Indicates that the passed configuration mismatches the configurations allowed for this product ID. |
| serviceUnreachable     | Indicates that SDK server is unreachable.                                                          |

| MoveConfigurationError-related APIs                                                                                                                                                                            |                                                                                                  |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------ |
| Initialization ([Android](/move-platform/move-sdk-1.x/sdk/api-interface/android-1/builder.md) / [iOS](/move-platform/move-sdk-1.x/sdk/api-interface/ios/intialization.md))                                     | For more info about initializing the SDK.                                                        |
| Update Auth ([Android](/move-platform/move-sdk-1.x/sdk/api-interface/android-1/android.md#update-authentication) / [iOS](/move-platform/move-sdk-1.x/sdk/api-interface/ios/services.md#update-authentication)) | For more info about updating the [MoveAuth](/move-platform/move-sdk-1.x/sdk/models/moveauth.md). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.movesdk.com/move-platform/move-sdk-1.x/sdk/models/moveconfigurationerror.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
